package com.mosty.base.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.jcgl.TbJcglKhtj;
import com.mosty.base.model.vo.jcgl.TbJcglKhtjVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface TbJcglKhtjMapper extends BaseMapper<TbJcglKhtj> {

    // 统计数量
    int getCount(Map<String, Object> mp);

    // 统计列表
    List<TbJcglKhtjVo> getList(Map<String, Object> mp);

    // 统计数量
    Map<String, Object> getStatistics(Map<String, Object> map);

    List<TbJcglKhtjVo> getFxbm(Map<String, Object> mp);

}
